<?php 

function create(string $_lieu){
    $return = array();
    $return = stats::countStatistiquesByLieu($_lieu);
    $return["Lieu"] = $_lieu;
    $return["PourcentageFemme"] = core::caculPourcentage($return["Femme"], $return["ActifOn"]);
    $return["PourcentageHomme"] = core::caculPourcentage($return["Homme"], $return["ActifOn"]);
    return $return;
}

$statGeneral = stats::countStatistiquesGenerale();

$return[] = array(
    "Lieu" => "TOUT INVENT",
    "Femme" => $statGeneral["Femme"],
    "Homme" => $statGeneral["Homme"],
    "ContratOn" => $statGeneral["ContratOn"],
    "ContratOff" => $statGeneral["ContratOff"],
    "ActifOn" => $statGeneral["ActifOn"],
    "ActifOff" => $statGeneral["ActifOff"],
    "PourcentageFemme" => core::caculPourcentage($statGeneral["Femme"], $statGeneral["ActifOn"]),
    "PourcentageHomme" => core::caculPourcentage($statGeneral["Homme"], $statGeneral["ActifOn"]),
);

$return[] = create("147");
$return[] = create("LYON");
$return[] = create("PEROLS");
$return[] = create("CAMBACERE");
$return[] = create("BLAGNAC");
$return[] = create("BOUCHARDO");

echo json_encode($return);